local isWaterSkipEnabled = true

local function noWaterSkip(mobj)
	if isWaterSkipEnabled then return end
	if not mobj or not mobj.valid then return end
	if not mobj.player or not mobj.player.valid then return end
	
	mobj.player.kartstuff[k_waterskip] = 2

end

addHook("MobjThinker", noWaterSkip, MT_PLAYER)
addHook("ThinkFrame", function()
	if leveltime ~= 2 then return end
	isWaterSkipEnabled = not (mapheaderinfo[gamemap].nowaterskip == "true")
end) 